Skip to navigation

✨ Get inference run info

Get information (status, metadata, etc) about an existing inference run

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"

Path parameters

prompt_idintegerRequired
version_idintegerRequired

Query parameters

orderingstringOptional
Which field to use when ordering the results.
parent_modelintegerOptional
The ID of the parent model for this Inference Run
projectintegerOptional
The ID of the project this Inference Run makes predictions on
project_subsetenumOptional

Defines which tasks are operated on (e.g. HasGT will only operate on tasks with a ground truth annotation, but All will operate on all records)

Allowed values:

Response

This endpoint returns a list of objects.
completed_atdatetime or nullRead-only
created_atdatetimeRead-only
created_byobject
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
idintegerRead-only
model_versioninteger
parent_modelintegerRead-only
projectinteger
source_model_runinteger or nullRead-only
statusenum
  • Pending - Pending
  • InProgress - InProgress
  • Completed - Completed
  • Failed - Failed
  • Canceled - Canceled
Allowed values:
task_idsany or nullRead-only

List of task IDs for Custom subset re-evaluation.

triggered_atdatetime or nullRead-only
filters_jsonany or nullOptional

DM filter group for Filtered subset. Stored for display/re-run purposes.

job_idstring or nullOptional<=255 characters
Job ID for inference job for a ModelRun e.g. Adala job ID
organizationinteger or nullOptional
predictions_updated_atdatetime or nullOptional
project_subsetenumOptional
  • All - All
  • HasGT - HasGT
  • Sample - Sample
  • Custom - Custom
Allowed values:
sample_subset_sizeinteger or nullOptional0-2147483647

Custom sample size for Sample subset. Uses PROMPTER_SAMPLE_SUBSET_SIZE if not set.

total_correct_predictionsinteger or nullOptional-2147483648-2147483647
total_predictionsinteger or nullOptional-2147483648-2147483647
total_tasksinteger or nullOptional-2147483648-2147483647